=== plugins/Makefile ===
# Compile the gtkdock for amsn

gnomedock : gnomedock.o
	gcc `gnome-config --libs applets` -o gnomedock gnomedock.o

gnomedock.o : gtkdock.c gtkdock.h
	gcc `gnome-config --cflags applets` -o gnomedock.o -c gtkdock.c
