## amsn 0.98.4

=== debian/changelog ===
amsn (0.98.4-4) unstable; urgency=low

  * aMSN should compile now in hurd-i386. In this revision patch
    07_fix_ftbfs4hurd.patch has been created. Thanks to Svante Signell for
    providing it. (Closes: #636213)
  * debian/control:
    + Build-Depends on libjpeg-dev instead of libjpeg62-dev. (Closes: #633435)

 -- Muammar El Khatib <muammar@debian.org>  Mon, 01 Aug 2011 17:49:35 +0200

amsn (0.98.4-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format. 
  * Bump Standards-Version to 3.9.2. No changes were needed.
  * Support for Video4Linux version has been dropped in the Linux kernel. This
    caused a FTBFS because linux/videodev.h is not provided anymore. 
   (Closes: #621955)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 30 Jun 2011 21:51:09 +0200

amsn (0.98.4-2) unstable; urgency=low

  * Uploading to unstable.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 06 Feb 2011 10:09:55 +0100

amsn (0.98.4-1) experimental; urgency=low

  * New upstream release. (Closes: #606988) 

 -- Muammar El Khatib <muammar@debian.org>  Wed, 29 Dec 2010 16:30:16 +0100

amsn (0.98.3-5) unstable; urgency=medium

  * Uploading to unstable because of the fact the test previously made in the 
    upload to experimental (revision 0.98.3-4) was successful.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Dec 2010 22:21:39 +0100

amsn (0.98.3-4) experimental; urgency=low

  * debian/rules: utils/webcamsn is not created for hurd-i386 so it has been put
    into the conditional ifneq ($(DEB_HOST_ARCH_OS),hurd) for avoiding copying  
    it in the install target. 

 -- Muammar El Khatib <muammar@debian.org>  Tue, 21 Dec 2010 15:55:41 +0100

amsn (0.98.3-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.1. No changes were needed.
  * debian/patches/07_infoaudacious.dpatch
    + It has been included a patch from revision 12184 of amsn's SVN repository.
      With this change, the audacios music plugin is able to detect when the 
      player is set to the 'paused' state. (Closes: #597204)
  * debian/patches/08_offline_message_issue.dpatch
    + This is a change introduced in aMSN's SVN (revision 12185) to protocol.tcl
      due to changes in the oim soap request so that aMSN is able to receive 
      offline messages again. Thanks to Riccardo Stagni for providing a patch.
      (Closes: #600971)
  * Maintainer's mail has been changed. 
  * This revision of aMSN avoids a FTBFS that happens in Hurd because of the 
   libasyncresolver.so. 

 -- Muammar El Khatib <muammar@debian.org>  Fri, 19 Dec 2010 18:23:38 +0100

amsn (0.98.3-2) unstable; urgency=low

  * debian/patches/06_recognize_kfreebsd.patch.dpatch
    + Added. Make configure recognize kFreeBSD as a BSD
  * debian/rules
    + Only special case the bits that are actually linux only
    + Don't build-depend on libv4l-dev on GNU/KFreeBSD (Closes: #583187)
  * Thanks to Sjoerd Simons for providing the patch that fixed this problem. 

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 12 Jun 2010 15:42:08 -0430

amsn (0.98.3-1) unstable; urgency=medium

  * New upstream release.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 18 Mar 2010 23:03:36 -0430

amsn (0.98.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed. 
  * debian/control: ${misc:Depends} was added to the field Depends of amsn and
    amsn-data.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 23 Feb 2010 15:50:46 -0430

amsn (0.98.1-1) unstable; urgency=low

  * New upstream release.
  * Error caused when chat windows was opened has been fixed in this new 
    upstream release. (Closes: #543977, #550490, #553367, #493766)
  * debian/control: amsn now depends on libsnack2-alsa | libsnack2 instead of
    just libsnack2-alsa so that users may be able to use the OSS output. 
    (Closes: #552145) 
  * aMSN is able to send offline messages again. (Closes: #550643)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 03 Nov 2009 22:47:59 -0430

amsn (0.98-1) unstable; urgency=low

  * New upstream release. (Closes: #545968)
  * Bump Standards-Version to 3.8.3 
  * debian/control: libgupnp-igd-1.0-dev has been added in the Build-Depends
    field for controling UPnP Internet Gateway Devices port mapping.
  * debian/README.Debian-source was renamed to debian/README.source and
    information about dpatch has been added in order to comply with Debian
    Policy Manual 4.14.
  * debian/control: gstreamer0.10-alsa has been added as a dependency of aMSN.
    (Closes: #545738)
  * In this version "appear offline" state can be selected from the tray icon.
    (Closes: #511268)
  * Start Video call botton label is now showed correctly in chat window. 
    (Closes: #541657)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 03 Sep 2009 22:58:41 -0430

amsn (0.98~svn11402-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control: some packages have been added in the Build-Depends field in
    order to make aMSN able to support Video and Voice calls: libnice-dev, 
    libv4l-dev, libgupnp-1.0-dev, libgupnp-igd, libgstfarsight0.10-dev and
    libgstreamer-plugins-base0.10-dev.
  * debian/patches: the next patches are no longer required:
    - 04_settingoff_autoupdate.dpatch.old  
    - 05_changing_sxml.dpatch.old  
    - 06_TkCximage.dpatch.old  
    - 07_autoupdate.dpatch.old  
    - 08_proxy.dpatch.old
    They have been removed from debian/patches directory. Most of the changes 
    implemented by those patches are now included by upstream in the aMSN source
    code. 
  * debian/watch: the file has been fixed in this revision and now it is able
    to look for the correct versions of the package. Problem was caused because
    upstream is now shipping the tarball in the form *.tar.bz2 instead of 
    *.tar.gz.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 26 Jul 2009 20:36:04 -0430

amsn (0.97.2~debian-3) unstable; urgency=low

  * Bump Standards-Version to 3.8.2

