=== debian/control ===
Source: amsn
Section: x11
Priority: optional
Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 6), tcl8.5-dev, tk8.5-dev, quilt (>= 0.40), libpng12-dev, libjpeg-dev, libnice-dev, libgstreamer-plugins-base0.10-dev, libgstfarsight0.10-dev (>= 0.0.9), libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libgupnp-1.0-dev, libgupnp-igd-1.0-dev
Standards-Version: 3.9.2
Homepage: http://amsn.sourceforge.net/

Package: amsn
Architecture: any
Depends: ${shlibs:Depends}, amsn-data (= ${source:Version}), tk8.5, tcl-tls, libsnack2-alsa | libsnack2, ${misc:Depends}
Suggests: iceweasel | iceape | galeon | konqueror | arora, sox, docker, tclsh
Replaces: amsn-data	
Breaks: amsn-data (<= 0.9.7.1~debian-1)
Description: MSN messenger application written in Tcl
 A very nice MSN compatible messenger application. Works pretty much like its
 Windows based counterpart. Perfect for keeping in touch with those friends
 who have not yet seen the light.

Package: amsn-data
Architecture: all
Depends: ${shlibs:Depends}, python, tk8.5, ${misc:Depends}
Replaces: amsn (<< 0.97.2~debian-1)
Description: Data files for aMSN
 This package contains architecture-independent supporting data files required 
 for use with aMSN such as documentation, icons, translations, plugins, skins
 and sounds.
