## amsn 0.98.4-maemo0

=== debian/changelog ===
amsn (0.98.4-maemo0) experimental; urgency=low

  * Packaging changes for maemo

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>>  Mon, 13 Dec 2010 01:13:51 +0200
