=== debian/control ===
Source: amsn
Section: user/network
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>> 4.0.0), tcl8.5-dev, tk8.5-dev, libpng12-dev, libjpeg62-dev, maemo-optify, libimlib2-dev, libgstreamer0.10-dev
Standards-Version: 3.6.1

Package: amsn
Replaces: ccmsn
Architecture: armel
Depends: tcl8.5, tk8.5, tcltls, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.20.0), libgssdp-1.0-2 (>= 0.7.1), libgstfarsight0.10-0, libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgupnp-1.0-3 (>= 0.13.2), libgupnp-igd-1.0-2 (>= 0.1.4), libice6 (>= 1:1.0.0), libjpeg62, libpng12-0 (>= 1.2.13-4), libsm6, libsoup2.4-1 (>= 2.23.91), libstdc++6 (>= 4.2.1), libx11-6, libxml2 (>= 2.6.32), zlib1g (>= 1:1.2.1)
Suggests: mozilla | galeon | konqueror | iceweasel, sox, docker, libsnack2
Description: An MSN messenger written in tcl
 A very nice MSN compatible messenger application. Works pretty much like its
 Windows based counterpart. Perfect for keeping in touch with those friends 
 who have not yet seen the light.
 .
 This package supersedes ccmsn, which is no longer maintained upstream.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAABAESURBVGiB1Zp5kFxXdcZ/9777Xr/eZuue
 GW2j3ZIXjYSQ5N0skpMKqwMFNoUNBsdgXAZXkVRSkJACF6ksJiQhJgnZMMTB
 ZQixARMIxCzeYoSRLdlIlqx1tI00o9m7p1+/u+WP1yPJssbYoWyKW3Vqpnt6
 7vu+e8757jn3tvDe8+s85K8awC871Ev5sBBCAIKMuGi97c8w/CvoVvFiniWE
 kGRkQyAHxJwi7wENpIA5w/zLTeYXEhBCBEAB6AS6X3PJBRecv6z7Qm9c3lon
 vBB2ctoeHp7Ue06MNoaOHTs2duLEiVFgEqgBqffe/UoItFa+DPR97MNX3dx/
 bt81gbCVZqNJkjQx5rm4rCPRLjg+NqWf3Des77333u88lCTJcaD5cnliVgIt
 8AVg8e233fiJC5Z0Xt1sNkXSaNJMUpKkiXOzY7JOTu3Yf+JPvnDX974IjL5c
 XnihJFZA18c/8tab1q7suSZJmjjrcM7hrD0F3nsa05PUJkZo1CdwzuG9wzlb
 Hj/RWA/cxamEf2UItNQmBuatXl5+l5AK5xot8B7nPM4axkcGGR85itHp8+aw
 1jef3le7D2jSUqdZngPPJfiSEn82D0igdP3b17xJ+np1fOQwOnVYK5gcH2Fk
 6Bjjo0M4a+hbsIjLLv8N5s1fSnfPAkaHD/HZv/rU9OO7Rr6w/UDtp8D06eFz
 mqLJls2oW0CmXE0hhAbMiwm72QgooHND/5y3yyBibGiA+lSder2B0RZJwMpl
 53D5JRtZvmIVQkUIlUOoHL0LVnDD1e+d/uurb/s+ME4mr6cDLwIdZOKQB/JL
 ly5dVqlU5g8NDe0dGBh4FhgCRoUQ0957+5IItNwaKkVHpSNe7r3EGIO12Twf
 uf4mwjCHDGNkmAc8Jk1ITgyT66gS5UssP29V58aLzu384eadvjXnjBRXlFKL
 Nm3a9MFKpbIuiqLuKIragcBai3OOJElO7Nu37182b97878AhIUTthTxxNg8I
 ILp0zcJlgRSRThOssVjr6K30EEiFbyWqd4ZDW7Ywdmg/zjkQksqSFUwc3he8
 /lUrzv3h5p0Ptp4RA4suvvjia/r7+2/K5/NV51qC0LKZEUVRtb+//2PGmOqW
 LVs+AxwWQjRmy4vZCMQrllXOxwt02qS7o0K+GpOkGu8sCIm3Dhd4FqxeT9/a
 S7MwChQmTVi89kL/1D339pHt2gqoXHfddbf39PT8lvf+pDcBvPeciS1JEhYu
 7LvhxIkTWwcGBr5OJgRnDaXZCKi53YUlzoMxhrLK+7XnrhHHJ8Zw1iIkYDXS
 BHghQQYIZ/A4vE4ZP3GIajnXQ5aYAVAYHx9f12g0TgIWQjAjQrlcjjiOT/5t
 YmKCIAjknDlzrhsYGPgBMPZSCAC4Wr055Z3AGMOR4WF3QZIE87t7cM4hPTgP
 yABEgBQS6z1CBuhGjX0/eVAcmy6MthZDAH6BHPrqH9zygVvqoiy0saTNBJ02
 aSYNdNpEpyk/3nqAXQMjNJtNgiCgWqmsA9paOJ+v1bMQcEA6cGTq2fUXeIzW
 jDXqwfZ9z/pXr1ojVFjAmQSBB61n8CECBzLAm5T+N1zlv/fP9wSt+QMg9/6r
 Lv/NBYuXCaHyIATeNPEmwZs0+6kTLj63hw9+5ttZvFhLsVgM4zguJ0kihRDi
 bHlwtn7AA82f7RjcbozBmCzuH/35E2Lzlp96ZzQOke3GOsHpFKvTFpAmUSGP
 NxrhJ9bRksplC7p7z3/V6iUgsjDz7mTcz4SN9558qFi9tOcUOCnJ5/MFXmAn
 f54HvPdeCKEPHpkcHB2vDTvruq11WOvYtnuXv2jtOiGLXbhkCgKJJyHwDust
 QgQI4ZFek4uSlef0FS/Yfahef9vGNWv2/+RRlWvfyYn9u0nrkxQ6u+lduYre
 5eeBcy1ls8yrFE8DY/3U1NQ4s+zkZyXQGhoY2frM4H2rlpY/aK3FGstYUpO5
 YkwyPUkQ5XGmgfCA9whrEIFCChgdHfbGWHleX37T7kP1nYvnVhct2nAZqlhh
 7uqLMI0GeI/KhTjvwNnMo9aRUwFXXbKcRqp5fMehCWPMNOBmk9HZWkoLjH/1
 +3vuGp9sDM54wDnHwcFB8gWFcwaiIs4YrDE4a/BG45xlz9E9EqDecKOAWtDd
 tlDgsWmDKM6T7+gi396BUhHeaqw1eJv975VrF3L1pYtZP0f66ZGhp8j6CjOb
 B16oJ7ZJYsY+/7Vdnz5wXO+f0e4ntv+cuFCgGEt82kTGbThrTlraqPkDQ4MA
 jNbSZ4Bkop5O7X74ASGlwJsUbJYzzqZ4Y3AmxRqNt5Y4BOssR4+eMDt277mD
 rByZlcDZSglFtu33lDs6znnTR/785uri5YsDLPr4Hjatm0BIRVQICGNPs9FA
 hyG1iTE/Pd3U//o/j2xdubRw4YGjte88ubv2CJAeGasdfsMlF/n68DFR6p0H
 3uOsxRuNt83Mc1aDCHEmxRnjD+7b+8j+4dp2sq7uF+fATA0EtAMLN1176/X9
 r3vzzfk4p8JAEkiJ7juPHw0P8K6WUIgA4jBHjODOweVs37n/8AMPHv7ft9nq
 0Tu/sfd2sqIsOHR05GChowvCPF43M9WxFmfTDHCa4JxDKIFpNvwTDz969K5H
 93wW+IXdnDoDfBdKrXz/p+/8x575fSuLuZAwkASBRAWSQOTYM9zLSO041fao
 NYUHBLkoFusue+3S89ZfcuuPvnnPvxm22ZbrzdO7jhzGae+1wHkhvPN4Z/DG
 YE0DZywyKmGmxzi4e3f9A//w4O8fr6fbgBcs5E73QAB0Fovt/df+6Z1f6a5U
 u9sKEWEQoFrglRQEgaSwYB7fG5JcObWD6rw5BCokTQ1OxbTFIXEYyDe84z3v
 y7d1NO6747bbgYlHtj17tF6rp3Hsch6Bdy5L3FbSeyRWN8gXYx+XSu54PR0E
 pniB2J8ZslWnF4HF7/mzL9/dU612V9vzFHMRhTikGCuKuZBCHFHMhXSUYppR
 O+XLbmQ6v4IJW2Wy80JKuZBCFJLPhbQXc/RvuPxaoLe1OJNbtu183DuL1U2s
 buJ0ijMGT4AI8yg0uXxMuVTMkeVgHlAtfLMTaIVO95tv+eSthXJbtbu9QCFU
 FHKKQqTI50IKOUVxxqKQBXOqbNk7SNeKdVRXv56w1E4xFxBHAXGoiENFb7Wr
 7dUbf/sSslJ6/NNfeuAOZ7XPYt9k4IMQVEzg6hTbywghxKGJ4+qit/Z+CFgB
 zAWKQgh1Wvv5PALFYnvXkmVrLru6Ws5TiBS5lsWRIh8q8lFmcRSSzynaCjET
 teTkJEIIYhUQKUWkJKGStBVyXPrGd7yPrJxIHnt6//avfeOH3zRp6p0xgEBJ
 KIQp5fZ2pAwQUnLf6J6gsiJ8y5W3zLn/nEvbbmwRqQK5s3lDAm0b3/t7N4og
 UJ2lGBUEhIE8ZUoSqoAoPG2FI0Uul2NyOjlJQEmyPJESKQQ5FVBs75zfCs8A
 sB/63Lf/44a//PwP7t75sO7orVLu6iBX6oAggiDiscN7GJUNujorVLurbedf
 Uf3E6z7Q+5+l7uhyoA8otbq7k0MBbb2Ll1+ajxRSZJUl8Hzl9eD9zNueamcb
 2/Yc4YrVy04WY65lM58rFoulFoGe6qJ47cbrl36u2tNVmciFSJV7zvTGGO4f
 2EqlUsVah9GWcqlMuZQsKrwnuufwM1Nffuq743cAB4UQk957M0MgXyh19EQq
 wDqHdQLjPFI4pANhBQLHKWoe5wOkgGOjU9k73qOtQ1iHtg5tLdo6mtpYoG35
 hvL6K65Z+RfVzp5AhQHSF3EiRLa6hfrEFN8ZeJJCpYwMJNZYjLEYbSnEhlKh
 PVDhwRvy5WDh5q+NfBzYK4SY8N47BQRCSuUBYxzitMq1VafhyVZWOY91Eiky
 aW4Yx0Q9wXtPoh1eW7TJwNebmonxseNAftXGno/Oq/YFURwRhoqc7WSEucjh
 PVgRUVx8MYNDP6MrruCswxqHMQadWow26JwhjvJIsfvKS66V+ce+MnwzkAoh
 phUgEEJ672kaiwccWRg453A+wDqPCRxKSqQ51QoWC0UefmovG5ZWqTcNNtUY
 45hqpDy7+9ntf/e77/7DQlfYM2f+nPmFfJkopwjDkJLvIZxzHt39rwFg867/
 pq0zTxBIrPWZB7TBRBadGtJQE4UxSxacSzN98rLFG8pvPPD41N1AqlpMvLZO
 JNpivSfyAc55lJUY61GBQAUSIQWSFgHvccDh4RHWL6kwlRjMdMp4raGfeOSB
 u7/+t5/8J8Bd9Pbej3Z3zCUXxURRSC6KKPlOpDwlKAMjP6erswtnPcbazAPa
 kKYGrTShMoRBipI5errmoS+0Hz/w+NSPgQkFjI4cPfBoZd7iy2e6IuscRs7s
 wpmyBFIgpcyaXNHqib1nKtF867FnOHjs2MiRRx7+1tc//6kvAUfIirC+Uqda
 UYzbCVVIGEQoFZLjVNOibYKTCW2FMs7Sin2DlppAaJRIkUIjkOAlfXOXc3z0
 SPv5V7a/c8cDE3+jgOG7/vh3bup/zVuuWL3xzTeUO7uXlktt5TjO5ZTKSggV
 BEgpWioFzlqbNGq1seGhQ0cH9m65474vfXPowN4BYJSs/G2QbZAyXyx0CCFO
 5hKA9KdWf9v+Byl35gkjhTEWj8A5gQwyE1Jmz5bZ6zjKk88XqPTZN8LEF1Vr
 pQ48/dD9I08/dP+PgBLZeU6g4lhVeuaWFq5YPVflC+H44OHR3VsfO2aMmbmN
 mSarWaaAhNNuZsi0H++cNEbPHGAgAkhpnuyJ9w49QbFHkFqXed4Z9GlmnD5p
 1mmsN5Tz7dRL9cVASXnvnRCiQXZ4NMapAk+YJJHHD+6Xxw/un9k8HFm35log
 Z15bzjhVFkJYoN5oNGrTjVpsiXEYHCGJnMJ7j7GakfogTLchg8xLzjq0Nhhj
 0dqQGo02mtRkv6cmRUiJCIgApVo67k8Dkp5Rd5xZg7zYizwLjGz/wegfFQrb
 P7dw/tK46IpoFxLJEbz3PLrjfpxMmKr7LFwQmYy2NjKtTaZCTYNONWnLsmNM
 IQFx1qb+DHD/36shC4zvf2Lqu0e37zxw5YeTv1+8pG9ZW7kNGQzjnGPrvh+j
 c9PoWoKQ4qQ6OOcwJiNhtEE3TQa+adBNjbEpItuw7Eu6Zn0po3U80wSON5s0
 /+uzB96x/OLxjWs29d46ryddsG3fQ8HBoV0U20NkECCDk4d4eOczKbUWk57y
 hG5qkqTJZG0Ck/oRYPJFXbP+MqMVjpKsrG4HqrmimnfFO5e+e87y4qZCe9CV
 y0exCrJqFMDPeEEbtGl5QGuS6dRP16anxwabP916//htSc1sf9kJnEEkIJPX
 PNmZZxtQKrap8qINHat6+vL9xfZoUaBEyTrndGJrzWk70Uz0yNFnpjcffGpq
 N1Ank+pRYOoVI3AGkRkyM6bIpDvPqSN5yPJo5hI94YzLdO+9e8UJnDlOI3T6
 VxhO/xoDZHI9I93PEZlfOYFfdvzaf1vl/wCoOL2QU0VAPAAAAABJRU5ErkJg
 gg==
 ====
