## amsn 0.98.4-maemo1

=== debian/changelog ===
amsn (0.98.4-maemo1) experimental; urgency=low

  * Added "pretty" name: aMSN

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>>  Fri, 24 Dec 2010 23:46:17 +0200
