## amsn 0.98.4-maemo2

=== debian/changelog ===
amsn (0.98.4-maemo2) experimental; urgency=low

  * Fixed .desktop file location.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>>  Sat, 25 Dec 2010 21:51:20 +0200
