=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  who have not yet seen the light.
  .
  This package supersedes ccmsn, which is no longer maintained upstream.
+XB-Maemo-Display-Name: aMSN
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3
