## amsn 0.98.9

=== utils/linux/capture/libng/plugins/Makefile ===
default:
	cd ../..; $(MAKE)
