=== debian/changelog ===
amsn (0.98.9-1ubuntu3) trusty; urgency=low

  * Recommend tcl-snack instead of libsnack2-alsa | libsnack2 since
    the snack package has been restructured and tcl-snack already has an
    alternate dependency on alsa | oss 

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 26 Oct 2013 22:05:05 -0500

amsn (0.98.9-1ubuntu2) raring; urgency=low

  * Modified build infrastructure to use multiarch Tcl location so the
    build doesn't break trying to use (nonexistent) locate(1) fallback.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 07 Apr 2013 14:39:21 -0400

amsn (0.98.9-1ubuntu1) quantal; urgency=low

  * Sync with Debian. (LP: #1001958) Remaining changes:
  * debian/control:
    - Build-depend on libfarstream-0.1-dev
    - Depend on libfarstream-0.1-0 and xdg-utils
  * debian/patches/08_use_aplay_for_sound.patch:
    - Use aplay from alsa-utils instead of play from sox for sounds

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Oct 2012 23:39:21 -0400

amsn (0.98.9-1) unstable; urgency=low

  * Updated to new 0.98.9 version:
    + Rewritten P2P stack, fixing CVE-2006-0138 among other bugs
    + Fixed compilation against libpng 1.5
    + Fixed problem running libng under latest tcl/tk (made webcam not work)
    + Upstream moved .so files out of /usr/share
  * Added self as maintainer
  * Refactored and cleaned up the package

 -- Vivia Nikolaidou <n.vivia@gmail.com>  Tue, 12 Jun 2012 21:33:58 +0300
