=== debian/control ===
Source: amsn
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vivia Nikolaidou <n.vivia@gmail.com>
Build-Depends: debhelper (>= 9), tcl8.5-dev, tk8.5-dev, libpng12-dev, libjpeg-dev, libnice-dev, libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libfarstream-0.1-dev, libgstreamer-plugins-base0.10-dev, libgupnp-1.0-dev, libgupnp-igd-1.0-dev, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.3
Homepage: http://amsn.sourceforge.net/

Package: amsn
Architecture: any
Depends: ${shlibs:Depends}, amsn-data (= ${source:Version}), libfarstream-0.1-0, tcl8.5, tk8.5, tcl-tls, xdg-utils, ${misc:Depends}
Recommends: tcl-snack
Suggests: www-browser
Replaces: amsn-data (<< 0.98.9-1)
Conflicts: amsn-data (<< 0.98.9-1)
Description: MSN messenger application written in Tcl
 A very nice MSN compatible messenger application. Works pretty much like its
 Windows based counterpart. Perfect for keeping in touch with those friends
 who have not yet seen the light.

Package: amsn-data
Architecture: all
Depends: tk8.5, ${misc:Depends}
Recommends: python
Replaces: amsn(<< 0.98.9-1)
Conflicts: amsn(<< 0.98.9-1)
Description: Data files for aMSN
 This package contains architecture-independent supporting data files required 
 for use with aMSN such as documentation, icons, translations, plugins, skins
 and sounds.
