=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/\~debian//" \
 http://sf.net/amsn/amsn-(.*)\.tar\.bz2
